org.apache.naming.resources.jndi

## Class Handler

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.apache.naming.resources.DirContextURLStreamHandler
    - - org.apache.naming.resources.jndi.Handler

-     public class Handler
      extends DirContextURLStreamHandler

  Stream handler to a JNDI directory context. For use when embedding Tomcat and the embedding application has already set its own `URLStreamHandlerFactory` and the Tomcat jndi handler needs to be registered via the java.protocol.handler.pkgs system property.

- - ### Field Summary

    - ### Fields inherited from class org.apache.naming.resources.DirContextURLStreamHandler

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Handler()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.naming.resources.DirContextURLStreamHandler

      `bind, bind, bindThread, get, get, get, isBound, openConnection, setProtocolHandler, toExternalForm, unbind, unbind, unbindThread`

    - ### Methods inherited from class java.net.URLStreamHandler

      `equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Handler

          public Handler()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.